use Mix.Config

# Only in tests, remove the complexity from the password hashing algorithm
config :bcrypt_elixir, :log_rounds, 1

# Configure your database
#
# The MIX_TEST_PARTITION environment variable can be used
# to provide built-in test partitioning in CI environment.
# Run `mix help test` for more information.
config :recycledcloud, RecycledCloud.Repo,
  username: "postgres",
  password: "postgres",
  database: "recycledcloud_test#{System.get_env("MIX_TEST_PARTITION")}",
  hostname: "localhost",
  pool: Ecto.Adapters.SQL.Sandbox

# We don't run a server during test. If one is required,
# you can enable the server option below.
config :recycledcloud, RecycledCloudWeb.Endpoint,
  http: [port: 4002],
  server: false

# Print only warnings and errors during test
config :logger, level: :warn

# LDAP configuration
config :recycledcloud, :ldap,
  server: "127.0.0.1",
  port: 3089,
  ssl: false,
  base_dn: "dc=example,dc=org",
  bind_dn: "cn=admin,dc=example,dc=org",
  bind_pw: "admin"
